API Reference
Get paginated visibility sources with NAS metrics
Returns paginated sources from visibility analysis with Need Attention Score (NAS) calculated on-the-fly
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
UUID of the domain
Format
uuidQuery Parameters
page?number
Page number (1-based)
Range
1 <= valueDefault
1limit?number
Items per page (max 200)
Range
1 <= value <= 1000Default
50startDate?string
Start date for the report range
endDate?string
End date for the report range
models?array<array<any>>
Global filter by LLM models (from report context)
viewMode?string
Grouping mode
Value in
- "domain"
- "url"
filterModels?array<array<any>>
Filter by models
filterPrompts?array<array<any>>
Filter by prompts
sourceSearch?string
Text search on source
sortOrder?string
Sort order
Value in
- "asc"
- "desc"
topicId?string
Filter by topic
competitorName?string
Competitor name to view sources as
filterCategories?array<array<any>>
Filter by source category codes (multi-select)
filterOwnership?array<>
Filter by source ownership relative to brand + topic competitors
tagIds?array<array<any>>
Global filter by tag IDs — only results from prompts carrying at least one of these tags (OR semantics)
sortBy?string
Sort by field
Value in
- "source"
- "volume"
- "mentionRate"
- "needAttentionScore"
Response Body
application/json
curl -X GET "https://example.com/api/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08/sources/visibility"{ "data": [ [ null ] ], "total": 142, "page": 1, "limit": 50, "totalPages": 3, "hasNext": true, "hasPrev": false, "filterOptions": { "models": [ { "value": "chatgpt", "label": "GPT-5", "score": 72 } ], "prompts": [ { "value": "chatgpt", "label": "GPT-5", "score": 72 } ], "allModelsScore": 72, "allPromptsScore": 68, "categories": [ { "code": 10020, "name": "Internet and Telecom / Technology News" } ] }, "maxVolume": 120}